Package Details: netgen-nogui-occ7 5.3.1-1

Git Clone URL: https://aur.archlinux.org/netgen-nogui-occ7.git (read-only)
Package Base: netgen-nogui-occ7
Description: NETGEN is an automatic 3d tetrahedral mesh generator
Upstream URL: https://sourceforge.net/projects/netgen-mesher
Licenses: LGPL
Conflicts: netgen
Provides: netgen
Submitter: drhooves
Maintainer: None
Last Packager: drhooves
Votes: 2
Popularity: 0.000055
First Submitted: 2017-03-27 22:16
Last Updated: 2017-03-27 22:16

Latest Comments

1 2 Next › Last »

heng commented on 2018-04-29 09:54

@keithspg Sorry for the confusion, opencascade7 is on version 7.2 but to compile this package (netgen-nogui-occ7) you need to use 7.1.0. You can install opencascade 7.1.0 by changing the "pkgver" in the PKGBUILD of opencascade7.

Also the URL of the netgen sources in the PKGBUILD of this package is broken (see netgen-git comments).

If there is no specific reason to use this package, I would follow @bartus recommendation and use netgen-git.

bartus commented on 2018-04-08 18:48

@cox, @maderios, @keithspg...

Use netgen-git package: it's maintained by upstream dev and already 4 releases after this one.

maderios commented on 2018-04-01 16:20

This FreeCAD version doesn't need netgen-nogui-occ7 I compiled it today, it works for me. https://aur.archlinux.org/packages/freecad-python3-git/

cox commented on 2018-03-29 22:16

Same issue as maderios after Last Update: 2017-03-27 22:16

maderios commented on 2018-03-25 18:00

It doesn't compile with opencascade7 7.2.0-2 :

../../../libsrc/occ/occgeom.cpp:18:10: fatal error: StlTransfer.hxx: No such file or directory #include "StlTransfer.hxx" ^~~~~~~~~~~~~~~~~ compilation terminated.

keithspg commented on 2018-03-24 23:57

Trying to compile this now. Heng, can you be a bit less cryptic? It seems that netgen calls for opencascade7 and you say it needs opencascade 7.1... How do you specify that in the PKGFILE for netgen?

heng commented on 2018-03-02 20:23

Managed to compile it by changing the download url for netgen and/or manually downloading netgen sources. It only compiles with opencascade 7.1.0 (just change pkgver in PKGBUILD and insert "sed" command in prepare()-> see opencascade7 comments)

ElektroQuark commented on 2018-01-30 18:54

It's needed for freecad-git :(

zoidberg commented on 2018-01-29 01:32

@ElektroQuark It looks like that. Maintainer hasn't updated any of his AUR packages for more than 6 months.

ElektroQuark commented on 2018-01-25 17:37

Is this package orphan?